#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
    int N;
    cin>>N;
    int A[N],B[N];
    int maxi=0;
    for(int i=0;i<N;i++)
    {
        cin>>A[i];
        cin>>B[i];
    }
    for(int L=0;L<N;L++)
    {
        int xora=0;
        int andb=-1;
        for (int R=L;R<N;R++)
        {
            xora ^= A[R];
            andb &= B[R];
            int vr = xora * andb;
            maxi = max(maxi, vr);
        }
    }
    cout<<maxi<<endl;
}